package secret

import (
	"filippo.io/age"
)

// Unlocker interface defines the methods all unlocker types must implement
type Unlocker interface {
	GetIdentity() (*age.X25519Identity, error)
	GetType() string
	GetMetadata() UnlockerMetadata
	GetDirectory() string
	GetID() string // Generate ID based on unlocker type and data
	Remove() error // Remove the unlocker and any associated resources
}
